import java.io.*;
import java.util.*;

// Stefan's solution with a more memory-intensive way
// to read the input data (line-based)
class citystar {
    
  public static void main ( String[] args ) throws Exception {
    BufferedReader in = new BufferedReader(new InputStreamReader(System.in));
	int S = Integer.parseInt(in.readLine());
	for( int s=1; s<=S; s++ ){
      System.out.println( "Scenario #" + s + ":" );
	    
      //--- Listen.
      String[] tokens = in.readLine().trim().split(" +");
      int n = Integer.parseInt(tokens[0]);
      int[] a = new int[n];
      for( int i=0; i<n; i++ )
		a[i] = Integer.parseInt(tokens[i+1]);
	    
      //--- Dance...
      Arrays.sort( a );
      int bestR = 1<<30, bestI = 0;
      for( int i=0; i+4<n; i++ ){
		int r = a[i+4] - a[i] + 1;
		if( r < bestR ){
          bestR = r;
          bestI = i;
		}
      }
	    
      //--- Answer.
      System.out.print( bestR + ":" );
      for( int j=0; j<5; j++ )
		System.out.print( " " + a[bestI+j] );
      System.out.println();
      System.out.println();
	}
  }
}
